Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface JDBCStatementProfile

public interface JDBCStatementProfile
extends java.io.Serializable

This interface provides execution profile of SQL statement.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getParameter(int prmInd)` Returns value of a prepared statement parameter with index `prmInd`.
`int` | `getParameterCount()` Returns number of prepared statement parameters for this profile
`java.lang.String` | `getPoolName()` Returns name of connection pool this SQL statement belongs to
`long` | `getStartTime()` Returns start time of the SQL statement
`java.lang.String` | `getStatementText()` Returns text of the SQL statement
`long` | `getStopTime()` Returns Stop time of the SQL statement
`java.lang.String` | `getThreadId()` Returns thread Id for the SQL statement
`long` | `getTimeTaken()` Returns time taken to execute this SQL statement

Method Detail

### getTimeTaken

    public long getTimeTaken()

  Returns time taken to execute this SQL statement

  Returns:
    The timeTaken value

### getStartTime

    public long getStartTime()

  Returns start time of the SQL statement

  Returns:
    The startTime value

### getStopTime

    public long getStopTime()

  Returns Stop time of the SQL statement

  Returns:
    The stopTime value

### getStatementText

    public java.lang.String getStatementText()

  Returns text of the SQL statement

  Returns:
    The statementText value

### getThreadId

    public java.lang.String getThreadId()

  Returns thread Id for the SQL statement

  Returns:
    The threadId value

### getParameter

    public java.lang.String getParameter(int prmInd)

  Returns value of a prepared statement parameter with index `prmInd`.

  Parameters:
    `prmInd` -
  Returns:
    The parameter value

### getParameterCount

    public int getParameterCount()

  Returns number of prepared statement parameters for this profile

  Returns:
    The parameterCount value

### getPoolName

    public java.lang.String getPoolName()

  Returns name of connection pool this SQL statement belongs to

  Returns:
    The poolName value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD